package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Fftref;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface FftrefMapper {

    int insert(Fftref record);

    int insertSelective(Fftref record);

    int updateByPrimaryKeySelective(Fftref record);

    int updateByPrimaryKey(Fftref record);

    int deleteByPrimaryKey(Fftref record);

    int deleteByIds(Collection<Object> collection);

    Fftref selectByPrimaryKey(Fftref record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Fftref> dyncRead(Map<String, Object> dyncMap);

}